blob: 4920e2d869f65dbcda2d0a229b6fc192358f4785 [file] [log] [blame]
#!/usr/bin/env bash
# specify devworkspace and JRE to use to runEclipse
devworkspace=~/workspace-antRunner
BUILDFILE=$1
if [ -e $BUILDFILE ]
then
BUILDFILESTR=" -file $BUILDFILE"
fi
# we MUST use java 5, when using process/pack artifacts!
JAVA_5_HOME=/shared/webtools/apps/ibm-java2-sdk-5.0-12.1-linux-i386
JAVA_6_HOME=/shared/webtools/apps/ibm-java-sdk-6.0-8.1-linux-i386
export JAVA_HOME=${JAVA_5_HOME}
devJRE=$JAVA_HOME/jre/bin/java
ibmDevArgs="-Xms128M -Xmx256M -Dosgi.ws=gtk -Dosgi.os=linux -Dosgi.arch=x86"
devArgs=$ibmDevArgs
echo dev: $0
echo
echo devworkspace: $devworkspace
echo
echo devJRE: $devJRE
$devJRE -version
echo
ECLIPSE_INSTALL=/shared/webtools/apps/eclipse361/eclipse
$ECLIPSE_INSTALL/eclipse --launcher.suppressErrors -nosplash -debug -consolelog -console -data $devworkspace -application org.eclipse.ant.core.antRunner $BUILDFILESTR -vm $devJRE -vmargs $devArgs